# -*- rpm-spec -*-
# $Id: tcl-ldap,v 1.16 2004/03/06 13:55:10 lioka Exp $

%define srcname ldap
%define srcver 30

Name: tcl-%srcname
Version: 3.0
Release: alt6

Summary: LDAP extension to TCL
License: BSD
Group: Development/Tcl
Url: http://www.sensus.org/tcl

Source: %url/%srcname%srcver.tar.bz2
Patch0: %name-e2s.patch
Patch1: %name-libpath.patch
Patch2: %name-pkgndx.patch
Patch3: %name-oldap21.patch
Patch4: %name-fixinc.patch

BuildRequires: autoconf_2.13 automake_1.4 libldap-devel rpm-build >= 4.0.4-alt0.7 tcl-devel >= 8.4.0-alt1

%description
This extension provides a generic binding to LDAP, adding a single
command to the Tcl interpreter that dynamically creates session
command objects each time it is called. The resultant command can be
used to exercise the full range of the LDAP protocol, with the notable
exception of extended operations (a LDAP v3 feature).

%prep
%setup -q -n %srcname%srcver
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build
%set_autoconf_version 2.13
%set_automake_version 1.4
%add_optflags -DUSE_NON_CONST
cd unix
%__aclocal
%__autoconf
%configure
%make_build

%install
%make_install install INSTALL_ROOT=%buildroot -C unix
%tea_makeindex -C %buildroot%_tcldatadir/%srcname%version -f lib%srcname%version.so

%files
%_tcllibdir/lib%srcname%version.so
%_tcldatadir/%srcname%version/pkgIndex.tcl
%doc license.terms ldap.htm

%changelog
* Sat Mar  6 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt6
- rebuilt in new env

* Sat Sep 27 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt5
- rebuilt against openldap 2.1.x

* Tue Sep 24 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.0-alt4
- rebuilt in new env

* Wed Jul 17 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.0-alt3
- rebuilt with new tcl layout

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.0-alt2
- Built with RPM_OPT_FLAGS.

* Mon Sep 24 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.0-alt1
- Initial build for ALT Linux distribution.

